/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.service;

import com.iohao.mmo.equip.entity.BasicEquipProperty;
import com.iohao.mmo.equip.entity.EquipTemplate;
import com.iohao.mmo.equip.entity.Goods;
import lombok.AllArgsConstructor;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.stereotype.Service;

/**
 * @author 唐斌
 * @date 2023-07-30
 * @description: 装备属性实现类
 */
@Service
@AllArgsConstructor
public class GoodsService {
    final MongoTemplate mongoTemplate;

    public Goods ofEquip(long id) {

        return  mongoTemplate.findById(id, Goods.class);
    }

    public void save(Goods goods) {
        mongoTemplate.save(goods);
    }

    private BasicEquipProperty getInitBasicEquipProperty() {
        BasicEquipProperty basicEquipProperty = new BasicEquipProperty();
        basicEquipProperty.setConstitution(1000);
        basicEquipProperty.setMagicPower(120);
        basicEquipProperty.setPower(110);
        basicEquipProperty.setEndurance(200);
        basicEquipProperty.setAgile(20);
        return basicEquipProperty;
    }
}
