package com.iohao.mmo.equip.utils;

import com.iohao.mmo.equip.EquipQualityEnum;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.Random;
import java.util.concurrent.ThreadLocalRandom;

/**
 * @author kioor
 * @ClassName RandomUtils
 * @description: 装备相关工具
 * @date 2023年07月26日
 * @version: 1.0
 */
@Component
public class EquipUtils {

    /**
     * 计算装备品质
     *
     * @param randomMin 随机范围下限
     * @param randomMax 随机范围上限
     * @param nowVal 当前随机值
     * @return boolean
     */
    public static int getEquipQuality(int randomMin,int randomMax,int nowVal) {
        if (randomMin >= randomMax){
            return 1;
        }
        double prop = (nowVal-randomMin)*1.00/(randomMax-randomMin);
        return EquipQualityEnum.getQuality(prop);
    }

    public static void main(String[] args) {
        System.out.println(getEquipQuality(10,40,38));
    }

}
